Bug 1957295 - Apply priority classes conventions as test to openshift/origin repo
Summary: Apply priority classes conventions as test to openshift/origin repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: ravig
QA Contact: RamaKasturi
URL:
Whiteboard: tag-ci
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-05 14:41 UTC by ravig
Modified: 2021-07-27 23:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:06:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 820 0 None open Bug 1957295: Must gather pod should have priority class 2021-05-07 12:59:26 UTC
Github openshift origin pull 25931 0 None open Bug 1957295: All platform pods should have system-* or openshift-user-critical priority class 2021-05-05 14:45:59 UTC
Github openshift origin pull 26174 0 None open Bug 1957295: test/extended/pods/priorityclasses: Improve error actionability 2021-05-20 18:46:53 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:06:57 UTC

Description ravig 2021-05-05 14:41:59 UTC
Description of problem:

We should enforce the conventions mentioned in https://github.com/openshift/enhancements/pull/763 via a test in origin.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Maciej Szulik 2021-05-07 07:59:31 UTC
There's one more case where this is failing, see https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/26054/pull-ci-openshift-origin-master-e2e-gcp/1390366748154269696
It failed on:

May  6 19:42:46.977: FAIL: 
1 pods found with invalid tolerations:
openshift-must-gather-zrnv5/must-gather-jzfbz

Comment 5 RamaKasturi 2021-05-12 13:08:10 UTC
Verified bug in the link below and i see that test "Managed cluster should ensure platform components have system-* priority class associated" has been flaking from last 2 days. Based on that moving the bug to verified state.

[1] https://search.ci.openshift.org/?search=Managed+cluster+should+ensure+platform+components+have+system&maxAge=48h&context=1&type=bug%2Bjunit&name=&excludeName=&maxMatches=5&maxBytes=20971520&groupBy=job

Comment 6 W. Trevor King 2021-05-20 18:46:40 UTC
Moving back to post, because this hasn't been backported, and I want to attach a follow-up PR.

Comment 8 W. Trevor King 2021-05-26 17:49:43 UTC
Occasional hits still in CI:

$ curl -s 'https://search.ci.openshift.org/search?search=pods+found+with+invalid+priority+class&maxAge=96h&context=4&type=junit' | jq -r 'to_entries[].value | to_entries[].value[].context[]' | sed -n 's/\(.*\)-[a-z0-9]*\( (currently.*\)/\1...\2/p' | sort | uniq -c
      1 kube-system/openvpn-client-649bcb9d98... (currently "")
     12 openshift-infra/recycler-for-nfs... (currently "")

Maybe those are non-core components that need carve-outs?

Comment 12 errata-xmlrpc 2021-07-27 23:06:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.